-- Часть 2.


-- *** *** *** *** *** --
--       Объекты       --
-- *** *** *** *** *** --

ep2_pool = obj {
	nam = 'лужа';
	used = function (s, w)
		if w == ep2_book then
			p 'Не понимая, что делаю, я кинул книгу прямо в лужу. Брызги попали на стену, оставив пятно.';
			remove( ep2_book, me() );
			enable( ep2_spot );
		end;
	end;
	act = [[Какая мутная вода.]];
	dsc = [[С потолка капает вода, отчего под ногами образовалась небольшая {лужа}.]];
}: disable();

ep2_spot = obj {
	nam = 'пятно';
	act = [[Издалека пятно выглядело серым, но вблизи было отчетливо видно, что он состоит из четких цветных полос:^^
	зеленая^
	фиолетовая^
	синяя^
	белая^
	коричневая^^
	Дальше цвета смешивались.]];
	dsc = [[На стене -- грязное {пятно}.]];
}: disable();

ep2_crane = obj {
	nam = 'кран';
	var {
		enable = false;
	};
	dsc = function(s)
		if s.enable then
			p [[Из стены торчит водопроводный кран. Из него течет вода.]];
		else
			p [[Из стены торчит водопроводный кран.]];
		end;
	end;
};

ep2_valve = obj {
	nam = 'вентиль';
	act = function()
		p [[Я покрутил вентиль.]];
		if ep2_crane.enable then
			ep2_crane.enable = false;
			disable( ep2_pool );
		else
			ep2_crane.enable = true;
			enable( ep2_pool );
		end;
	end;
	dsc = [[Рядом расположен {вентиль}.]];
};

ep2_girl = obj {
	nam = 'девочка';
	act = function()
		p 'Юная красавица приветливо улыбнулась и, немного помедлив, вышла из помещения.';
		lifeoff(ep2_voices);
		ep2_girl : disable();
		path ('выйти вслед за девочкой', 'ep2_forest') : enable();
	end;
	dsc = 'Посреди комнаты стоит та самая {девочка} из видения и внимательно на меня смотрит.';
};

ep2_card = obj {
	nam = 'игральная карта';
	inv = [[Игральная карта -- дама пик.]];
};

ep2_book = obj {
	nam = 'книга';
	inv = function()
		if not have( ep2_card ) then
			take ( ep2_card );
			p [[Открыв книгу, я обнаружил игральную карту.]];
		end;
		p [[Какая странная книга. Нет ни названия, ни автора. Нет даже текста. Только пустые страницы.]];
	end;
	tak = [[Я взял книгу.]];
	dsc = [[Слева на полке стоит {книга}.]];
};

ep2_elixir = obj {
	nam = 'эликсир';
	inv = function (s, w)
		drop('ep2_elixir');
		walk ('ep2_showVision3');
	end;
};

ep2_testtubes = obj {
	nam = 'пробирки';
	act = function()
		walk ('testTubeDlg');
	end;
	dsc = 'На столе стоят {пробирки} с неизвестными веществами.';
};

ep2_keys = obj {
	nam = 'ключи';
	inv = 'Связка ключей.';
};

ep2_chair = obj {
	nam = 'стул';
	var {
		dest = 'кровать';	-- Расположение стула: "кровать", "дверь" или "окно".
	};
	dsc = function(s)
		if s.dest == 'кровать' then
			p 'У кровати стоит {стул}.';
		else -- иначе стул под окном.
			p 'Под окном стоит {стул}.';
		end;
	end;
	tak = 'Я взял стул.';
	inv = 'Простой деревянный стул.';
};

ep2_roomDoor = obj {
	nam = 'дверь';
	var {
		status = false;			-- Дверь открыта/закрыта. true/false.
	};
	act = function(s)
		if s.status then
			p 'Дверь открыта.';
		else
			p 'Дверь закрыта.';
		end;
	end;
	used = function (s, w)
		if w == ep2_chair and not seen(ep2_unknownMan) then
			walk( 'ep2_showVision1' );
		end;
		if w == ep2_keys and not s.status then
			p 'Я открыл дверь.';
			s.status = true;
		end;
	end;
	dsc = 'Единственный выход из палаты закрывает массивная {дверь}.';
};

ep2_ironBed = obj {
	nam = 'железная кровать';
	used = function (s, w)
		if w == ep2_chair then
			p 'Я поставил стул около кровати.';
			ep2_chair.dest = 'кровать';
			drop( ep2_chair );
		end;
	end;
	act = 'Я заглянул под кровать, но ничего там не нашёл.';
	dsc = 'К стене прикручена {железная кровать}.';
};

ep2_smallWindow = obj {
	nam = 'маленькое окошко';
	act = function(s)
		if ep2_chair.dest ~= 'окно' then
			p 'Окошко расположено слишком высоко. Туда не добраться.';
		else
			p 'Маленькое окошко, закрытое решёткой.';
		end;
	end;
	used = function (s, w)
		if w == ep2_chair then
			p 'Я поставил стул около окна.';
			ep2_chair.dest = 'окно';
			drop( ep2_chair );
		end;
	end;
	dsc = 'Света, с трудом проникающего через {маленькое окошко}, едва хватает, чтобы хоть немного разогнать темноту.';
};