-- $Name:Шизофрения$
-- $Version: 1.0$
-- $Author: Ordos$

instead_version "2.4.0"
require "para"
require "dash"
require "quotes"
-- require "dbg" -- Режим Debug выключен.
require "xact"
require "hideinv"
require "lib/cutscene"

-- Подключаем файлы.
dofile "ep1/ep1_loc.lua"
dofile "ep1/ep1_obj.lua"
dofile "ep1/ep1_prs.lua"
dofile "ep1/ep1_vis.lua"
dofile "ep1/ep1_etc.lua"

dofile "ep2/ep2_loc.lua"
dofile "ep2/ep2_obj.lua"
dofile "ep2/ep2_vis.lua"
dofile "ep2/ep2_prs.lua"
dofile "ep2/ep2_etc.lua"

dofile "ep3/ep3_loc.lua"
dofile "ep3/ep3_obj.lua"
dofile "ep3/ep3_vis.lua"
dofile "ep3/ep3_prs.lua"
dofile "ep3/ep3_etc.lua"

game.act = 'Не работает.';
game.use = 'Это здесь не поможет.';
game.inv = 'Зачем мне это?';

function init()
	put(ep2_voices, ep2_myRoom);
end;

main = room {
	nam = 'Шизофрения';
	disp = false;
	pic = 'img/logo.png';
	forcedsc = true;
	obj = { vobj('start_game','{Начать игру}') },
	act = function()
		walk('part1');
	end,
	entered = function()
		remove( ep3_paper_mirror, me() );
		remove( ep3_compass, me() );
		remove( ep3_skip, me() );
		stop_music();
	end;
}

part1 = room {
	nam = 'Шизофрения';
	forcedsc = true;
	dsc = [[Часть 1. Заботливые руки.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		walk('intro1');
	end,
}

intro1 = room {
	nam = 'Шизофрения';
	forcedsc = true;
	dsc = [[В последнее время мне стало гораздо лучше. Приступы случались всё реже и реже, хотя и становились сильнее. Доктор сказал, что это нормально. Что так и должно быть. Что я на правильном пути. Это хорошо. Скоро я смогу вернуться к нормальной жизни. Быть обычным человеком. Таким как все. Самым обычным...
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		return walk('intro2');
	end,
}

intro2 = room {
	nam = 'Шизофрения';
	forcedsc = true;
	dsc = [[Я сидел в своей палате и, от нечего делать, разглядывал стену. Самая обычная стена. Ничего примечательного. От времени краска кое-где потрескалась и в этих трещинках мне представлялись немыслимой красоты узоры. Совершенно точно угадывались очертания бурного неспокойного моря, маленькой бухточки и деревянного домика на берегу. Я никогда не видел моря, но почему-то был уверен, что оно выглядит именно так.^^
	Еле слышно вошёл доктор и сел на стул рядом с моей кроватью.^^
	-- Что-то случилось? -- спросил я, не глядя.^^
	-- К сожалению, да, -- лицо доктора помрачнело. -- Анализы показывают, что Ваша болезнь прогрессирует. Обычные лекарства уже не приносят пользы. Победа недуга -- вопрос времени.^^
	В этот момент мечты о море и домике на берегу разбились, как стекло, и разлетелись на множество мелких осколков.^^
	-- Однако, -- продолжал доктор, -- шанс ещё есть. Но это очень сильное сильное средство. Оно может Вас убить.^^
	-- Но, если это поможет... -- я задумался. -- Тогда, наверное, стоит попробовать.^^
	-- Хорошо, -- сказал доктор и достал шприц.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		set_music('music.mod', 0);
		return walk('myRoom');
	end,
}

epilogue = room {
	nam = 'Шизофрения';
	forcedsc = true;
	hideinv = true;
	dsc = [[Я стоял на берегу и завороженно смотрел на бурное неспокойное море. Громадные волны величественно поднимались ввысь и с грохотом ударялись о берег.^
	Рядом находился небольшой деревянный домик. Подумав, я решил отправиться туда.^
	Внутри ждали меня та самая девочка и мой двойник.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		return walk('epilogue2');
	end,
	entered = function()
		stop_music();
		set_music('music.mod', 0);
	end;
}

epilogue2 = room {
	nam = 'Шизофрения';
	forcedsc = true;
	hideinv = true;
	dsc = [[И тут я вспомнил все. Вспомнил эту девочку с голубыми глазами. Девочку, с которой в детстве мы гуляли вместе, делились самыми сокровенными тайнами и мечтали о маленьком деревянном домике у моря.^
	С тех пор многое изменилось. Мечты о домике так и остались мечтами. Но мы с ней не потеряли друг друга. Мы вместе. Навсегда.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		return walk('epilogue3');
	end,
}

epilogue3 = room {
	nam = 'Шизофрения';
	forcedsc = true;
	hideinv = true;
	dsc = [[С трудом открыв глаза, я обнаружил, что лежу на своей кровати. Палата, ставшая мне уже ненавистной, крохотное окошко, привычный полумрак.^
	Рядом с кроватью на стуле сидела девушка, нежно и бережно держа мою руку. Заметив, что я пришел в себя, она улыбнулась и, как будто, вся озарилась светом. Светом, что невозможно увидеть -- он шел изнутри, из самых глубин души. И, даже, слезы радости нисколько не омрачали ее прекрасных голубых глаз.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		return walk('epilogue4');
	end,
}

epilogue4 = room {
	nam = 'Шизофрения';
	forcedsc = true;
	hideinv = true;
	dsc = [[^^
	Поздравляю! Вы полностью прошли эту игру! Надеюсь, она вам понравилась.^
	По всем вопросам -- прошу на форум https://instead.syscall.ru/talk/ в ветку, посвященную игре "Шизофрения".
	^^
	Спасибо за игру!
	^^
	]],
	obj = { vobj('continue','{Начать заново?}') },
	act = function()
		return walk('main');
	end,
}